GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
_GtkDataboxGraphClass Struct Reference

`#include <gtkdatabox_graph.h>`

## Data Fields

GObjectClass | parent_class
void(* | draw )(GtkDataboxGraph *graph, GtkDatabox *box)
gint(* | calculate_extrema )(GtkDataboxGraph *graph, gfloat *min_x, gfloat *max_x, gfloat *min_y, gfloat *max_y)
GdkGC *(* | create_gc )(GtkDataboxGraph *graph, GtkDatabox *box)

## Field Documentation

gint(* calculate_extrema)(GtkDataboxGraph *graph, gfloat *min_x, gfloat *max_x, gfloat *min_y, gfloat *max_y)

GdkGC*(* create_gc)(GtkDataboxGraph *graph, GtkDatabox *box)

void(* draw)(GtkDataboxGraph *graph, GtkDatabox *box)

GObjectClass parent_class

The documentation for this struct was generated from the following file:

- gtk/gtkdatabox_graph.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines